# \Thelia\ModelGroupResourceQuery

Skeleton subclass for performing query and update operations on the 'group_resource' table.

You should add additional methods to this class to meet the application requirements. This class will only be generated as long as it does not already exist in the output directory.

## Summary

Methods
Properties
Constants
__construct()
create()
findPk()
findPks()
filterByPrimaryKey()
filterByPrimaryKeys()
filterById()
filterByGroupId()
filterByResourceId()
filterByRead()
filterByWrite()
filterByCreatedAt()
filterByUpdatedAt()
filterByGroup()
joinGroup()
useGroupQuery()
filterByResource()
joinResource()
useResourceQuery()
prune()
doDeleteAll()
delete()
recentlyUpdated()
recentlyCreated()
lastUpdatedFirst()
firstUpdatedFirst()
lastCreatedFirst()
firstCreatedFirst()
orderById()
orderByGroupId()
orderByResourceId()
orderByRead()
orderByWrite()
orderByCreatedAt()
orderByUpdatedAt()
groupById()
groupByGroupId()
groupByResourceId()
groupByRead()
groupByWrite()
groupByCreatedAt()
groupByUpdatedAt()
leftJoin()
rightJoin()
innerJoin()
leftJoinGroup()
rightJoinGroup()
innerJoinGroup()
leftJoinResource()
rightJoinResource()
innerJoinResource()
findOne()
findOneOrCreate()
findOneById()
findOneByGroupId()
findOneByResourceId()
findOneByRead()
findOneByWrite()
findOneByCreatedAt()
findOneByUpdatedAt()
findById()
findByGroupId()
findByResourceId()
findByRead()
findByWrite()
findByCreatedAt()
findByUpdatedAt()
No public properties found
No constants found
findPkSimple()
findPkComplex()
No protected properties found
N/A
No private methods found
No private properties found
N/A

File
  Model/GroupResourceQuery.php
Package
  \Default
Class hierarchy
  \Propel\Runtime\ActiveQuery\ModelCriteria
  \Thelia\Model\Base\GroupResourceQuery
  \Thelia\Model\GroupResourceQuery

## Tags

None found

## Methods

### __construct()

    __construct(string $dbName, string $modelName, string $modelAlias)

Initializes internal state of \Thelia\Model\Base\GroupResourceQuery object.

#### Parameters

string | $dbName | The database name
string | $modelName | The phpName of a model, e.g. 'Book'
string | $modelAlias | The alias for the model in this query, e.g. 'b'

#

Inherited from
  \Thelia\Model\Base\GroupResourceQuery

## Tags

None found

### create()

    create(string $modelAlias, \Propel\Runtime\ActiveQuery\Criteria $criteria) : \Thelia\Model\GroupResourceQuery

Returns a new ChildGroupResourceQuery object.

#### Parameters

string | $modelAlias | The alias of a model in the query
\Propel\Runtime\ActiveQuery\Criteria | $criteria | Optional Criteria to build the query from

#### Returns

\Thelia\Model\GroupResourceQuery

#

static

Inherited from
  \Thelia\Model\Base\GroupResourceQuery

## Tags

None found

### findPk()

    findPk( $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\GroupResource|array|mixed

Find object by primary key.

Propel uses the instance pool to skip the database if the object exists. Go fast if the query is untouched.

`$obj = $c->findPk(array(12, 34, 56), $con);`

#### Parameters

| $key |
\Propel\Runtime\Connection\ConnectionInterface | $con | an optional connection object

#### Returns

\Thelia\Model\GroupResource|array|mixed —

the result, formatted by the current formatter

#

Inherited from
  \Thelia\Model\Base\GroupResourceQuery

## Tags

None found

### findPks()

    findPks(array $keys, \Propel\Runtime\Connection\ConnectionInterface $con) : \Propel\Runtime\Collection\ObjectCollection|array|mixed

Find objects by primary key <code> $objs = $c->findPks(array(array(12, 56), array(832, 123), array(123, 456)), $con); </code>

#### Parameters

array | $keys | Primary keys to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | an optional connection object

#### Returns

\Propel\Runtime\Collection\ObjectCollection|array|mixed —

the list of results, formatted by the current formatter

#

Inherited from
  \Thelia\Model\Base\GroupResourceQuery

## Tags

None found

### filterByPrimaryKey()

    filterByPrimaryKey(mixed $key) : \Thelia\Model\GroupResourceQuery

Filter the query by primary key

#### Parameters

mixed | $key | Primary key to use for the query

#### Returns

\Thelia\Model\GroupResourceQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\GroupResourceQuery

## Tags

None found

### filterByPrimaryKeys()

    filterByPrimaryKeys(array $keys) : \Thelia\Model\GroupResourceQuery

Filter the query by a list of primary keys

#### Parameters

array | $keys | The list of primary key to use for the query

#### Returns

\Thelia\Model\GroupResourceQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\GroupResourceQuery

## Tags

None found

### filterById()

    filterById(mixed $id, string $comparison) : \Thelia\Model\GroupResourceQuery

Filter the query on the id column

Example usage: `$query->filterById(1234); // WHERE id = 1234 $query->filterById(array(12, 34)); // WHERE id IN (12, 34) $query->filterById(array('min' => 12)); // WHERE id > 12`

#### Parameters

mixed | $id | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\GroupResourceQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\GroupResourceQuery

## Tags

None found

### filterByGroupId()

    filterByGroupId(mixed $groupId, string $comparison) : \Thelia\Model\GroupResourceQuery

Filter the query on the group_id column

Example usage: `$query->filterByGroupId(1234); // WHERE group_id = 1234 $query->filterByGroupId(array(12, 34)); // WHERE group_id IN (12, 34) $query->filterByGroupId(array('min' => 12)); // WHERE group_id > 12`

#### Parameters

mixed | $groupId | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\GroupResourceQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\GroupResourceQuery
See also

## Tags

None found

### filterByResourceId()

    filterByResourceId(mixed $resourceId, string $comparison) : \Thelia\Model\GroupResourceQuery

Filter the query on the resource_id column

Example usage: `$query->filterByResourceId(1234); // WHERE resource_id = 1234 $query->filterByResourceId(array(12, 34)); // WHERE resource_id IN (12, 34) $query->filterByResourceId(array('min' => 12)); // WHERE resource_id > 12`

#### Parameters

mixed | $resourceId | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\GroupResourceQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\GroupResourceQuery
See also

## Tags

None found

### filterByRead()

    filterByRead(mixed $read, string $comparison) : \Thelia\Model\GroupResourceQuery

Filter the query on the read column

Example usage: `$query->filterByRead(1234); // WHERE read = 1234 $query->filterByRead(array(12, 34)); // WHERE read IN (12, 34) $query->filterByRead(array('min' => 12)); // WHERE read > 12`

#### Parameters

mixed | $read | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\GroupResourceQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\GroupResourceQuery

## Tags

None found

### filterByWrite()

    filterByWrite(mixed $write, string $comparison) : \Thelia\Model\GroupResourceQuery

Filter the query on the write column

Example usage: `$query->filterByWrite(1234); // WHERE write = 1234 $query->filterByWrite(array(12, 34)); // WHERE write IN (12, 34) $query->filterByWrite(array('min' => 12)); // WHERE write > 12`

#### Parameters

mixed | $write | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\GroupResourceQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\GroupResourceQuery

## Tags

None found

### filterByCreatedAt()

    filterByCreatedAt(mixed $createdAt, string $comparison) : \Thelia\Model\GroupResourceQuery

Filter the query on the created_at column

Example usage: `$query->filterByCreatedAt('2011-03-14'); // WHERE created_at = '2011-03-14' $query->filterByCreatedAt('now'); // WHERE created_at = '2011-03-14' $query->filterByCreatedAt(array('max' => 'yesterday')); // WHERE created_at > '2011-03-13'`

#### Parameters

mixed | $createdAt | The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\GroupResourceQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\GroupResourceQuery

## Tags

None found

### filterByUpdatedAt()

    filterByUpdatedAt(mixed $updatedAt, string $comparison) : \Thelia\Model\GroupResourceQuery

Filter the query on the updated_at column

Example usage: `$query->filterByUpdatedAt('2011-03-14'); // WHERE updated_at = '2011-03-14' $query->filterByUpdatedAt('now'); // WHERE updated_at = '2011-03-14' $query->filterByUpdatedAt(array('max' => 'yesterday')); // WHERE updated_at > '2011-03-13'`

#### Parameters

mixed | $updatedAt | The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\GroupResourceQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\GroupResourceQuery

## Tags

None found

### filterByGroup()

    filterByGroup(\Thelia\Model\Group|\Propel\Runtime\Collection\ObjectCollection $group, string $comparison) : \Thelia\Model\GroupResourceQuery

Filter the query by a related \Thelia\Model\Group object

#### Parameters

\Thelia\Model\Group|\Propel\Runtime\Collection\ObjectCollection | $group | The related object(s) to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\GroupResourceQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\GroupResourceQuery

## Tags

None found

### joinGroup()

    joinGroup(string $relationAlias, string $joinType) : \Thelia\Model\GroupResourceQuery

Adds a JOIN clause to the query using the Group relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\GroupResourceQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\GroupResourceQuery

## Tags

None found

### useGroupQuery()

    useGroupQuery(string $relationAlias, string $joinType) : \Thelia\Model\GroupQuery

Use the Group relation Group object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\GroupQuery —

A secondary query class using the current class as primary query

#

Inherited from
  \Thelia\Model\Base\GroupResourceQuery
See also

## Tags

None found

### filterByResource()

    filterByResource(\Thelia\Model\Resource|\Propel\Runtime\Collection\ObjectCollection $resource, string $comparison) : \Thelia\Model\GroupResourceQuery

Filter the query by a related \Thelia\Model\Resource object

#### Parameters

\Thelia\Model\Resource|\Propel\Runtime\Collection\ObjectCollection | $resource | The related object(s) to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\GroupResourceQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\GroupResourceQuery

## Tags

None found

### joinResource()

    joinResource(string $relationAlias, string $joinType) : \Thelia\Model\GroupResourceQuery

Adds a JOIN clause to the query using the Resource relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\GroupResourceQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\GroupResourceQuery

## Tags

None found

### useResourceQuery()

    useResourceQuery(string $relationAlias, string $joinType) : \Thelia\Model\ResourceQuery

Use the Resource relation Resource object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\ResourceQuery —

A secondary query class using the current class as primary query

#

Inherited from
  \Thelia\Model\Base\GroupResourceQuery
See also

## Tags

None found

### prune()

    prune(\Thelia\Model\GroupResource $groupResource) : \Thelia\Model\GroupResourceQuery

Exclude object from result

#### Parameters

\Thelia\Model\GroupResource | $groupResource | Object to remove from the list of results

#### Returns

\Thelia\Model\GroupResourceQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\GroupResourceQuery

## Tags

None found

### doDeleteAll()

    doDeleteAll(\Propel\Runtime\Connection\ConnectionInterface $con) : int

Deletes all rows from the group_resource table.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con | the connection to use

#### Returns

int —

The number of affected rows (if supported by underlying database driver).

#

Inherited from
  \Thelia\Model\Base\GroupResourceQuery

## Tags

None found

### delete()

    delete(\Propel\Runtime\Connection\ConnectionInterface $con) : int

Performs a DELETE on the database, given a ChildGroupResource or Criteria object OR a primary key value.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con | the connection to use

#### Throws

\Propel\Runtime\Exception\PropelException

  Any exceptions caught during processing will be rethrown wrapped into a PropelException.

#### Returns

int —

The number of affected rows (if supported by underlying database driver). This includes CASCADE-related rows if supported by native driver or if emulated using Propel.

#

Inherited from
  \Thelia\Model\Base\GroupResourceQuery

## Tags

None found

### recentlyUpdated()

    recentlyUpdated(int $nbDays) : \Thelia\Model\GroupResourceQuery

Filter by the latest updated

#### Parameters

int | $nbDays | Maximum age of the latest update in days

#### Returns

\Thelia\Model\GroupResourceQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\GroupResourceQuery

## Tags

None found

### recentlyCreated()

    recentlyCreated(int $nbDays) : \Thelia\Model\GroupResourceQuery

Filter by the latest created

#### Parameters

int | $nbDays | Maximum age of in days

#### Returns

\Thelia\Model\GroupResourceQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\GroupResourceQuery

## Tags

None found

### lastUpdatedFirst()

    lastUpdatedFirst() : \Thelia\Model\GroupResourceQuery

Order by update date desc

#### Returns

\Thelia\Model\GroupResourceQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\GroupResourceQuery

## Tags

None found

### firstUpdatedFirst()

    firstUpdatedFirst() : \Thelia\Model\GroupResourceQuery

Order by update date asc

#### Returns

\Thelia\Model\GroupResourceQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\GroupResourceQuery

## Tags

None found

### lastCreatedFirst()

    lastCreatedFirst() : \Thelia\Model\GroupResourceQuery

Order by create date desc

#### Returns

\Thelia\Model\GroupResourceQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\GroupResourceQuery

## Tags

None found

### firstCreatedFirst()

    firstCreatedFirst() : \Thelia\Model\GroupResourceQuery

Order by create date asc

#### Returns

\Thelia\Model\GroupResourceQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\GroupResourceQuery

## Tags

None found

### orderById()

    orderById($order =) : \Thelia\Model\GroupResourceQuery

Order by the id column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\GroupResourceQuery

#

Inherited from
  \Thelia\Model\Base\GroupResourceQuery

## Tags

None found

### orderByGroupId()

    orderByGroupId($order =) : \Thelia\Model\GroupResourceQuery

Order by the group_id column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\GroupResourceQuery

#

Inherited from
  \Thelia\Model\Base\GroupResourceQuery

## Tags

None found

### orderByResourceId()

    orderByResourceId($order =) : \Thelia\Model\GroupResourceQuery

Order by the resource_id column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\GroupResourceQuery

#

Inherited from
  \Thelia\Model\Base\GroupResourceQuery

## Tags

None found

### orderByRead()

    orderByRead($order =) : \Thelia\Model\GroupResourceQuery

Order by the read column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\GroupResourceQuery

#

Inherited from
  \Thelia\Model\Base\GroupResourceQuery

## Tags

None found

### orderByWrite()

    orderByWrite($order =) : \Thelia\Model\GroupResourceQuery

Order by the write column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\GroupResourceQuery

#

Inherited from
  \Thelia\Model\Base\GroupResourceQuery

## Tags

None found

### orderByCreatedAt()

    orderByCreatedAt($order =) : \Thelia\Model\GroupResourceQuery

Order by the created_at column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\GroupResourceQuery

#

Inherited from
  \Thelia\Model\Base\GroupResourceQuery

## Tags

None found

### orderByUpdatedAt()

    orderByUpdatedAt($order =) : \Thelia\Model\GroupResourceQuery

Order by the updated_at column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\GroupResourceQuery

#

Inherited from
  \Thelia\Model\Base\GroupResourceQuery

## Tags

None found

### groupById()

    groupById() : \Thelia\Model\GroupResourceQuery

Group by the id column

#### Returns

\Thelia\Model\GroupResourceQuery

#

Inherited from
  \Thelia\Model\Base\GroupResourceQuery

## Tags

None found

### groupByGroupId()

    groupByGroupId() : \Thelia\Model\GroupResourceQuery

Group by the group_id column

#### Returns

\Thelia\Model\GroupResourceQuery

#

Inherited from
  \Thelia\Model\Base\GroupResourceQuery

## Tags

None found

### groupByResourceId()

    groupByResourceId() : \Thelia\Model\GroupResourceQuery

Group by the resource_id column

#### Returns

\Thelia\Model\GroupResourceQuery

#

Inherited from
  \Thelia\Model\Base\GroupResourceQuery

## Tags

None found

### groupByRead()

    groupByRead() : \Thelia\Model\GroupResourceQuery

Group by the read column

#### Returns

\Thelia\Model\GroupResourceQuery

#

Inherited from
  \Thelia\Model\Base\GroupResourceQuery

## Tags

None found

### groupByWrite()

    groupByWrite() : \Thelia\Model\GroupResourceQuery

Group by the write column

#### Returns

\Thelia\Model\GroupResourceQuery

#

Inherited from
  \Thelia\Model\Base\GroupResourceQuery

## Tags

None found

### groupByCreatedAt()

    groupByCreatedAt() : \Thelia\Model\GroupResourceQuery

Group by the created_at column

#### Returns

\Thelia\Model\GroupResourceQuery

#

Inherited from
  \Thelia\Model\Base\GroupResourceQuery

## Tags

None found

### groupByUpdatedAt()

    groupByUpdatedAt() : \Thelia\Model\GroupResourceQuery

Group by the updated_at column

#### Returns

\Thelia\Model\GroupResourceQuery

#

Inherited from
  \Thelia\Model\Base\GroupResourceQuery

## Tags

None found

### leftJoin()

    leftJoin(mixed $relation) : \Thelia\Model\GroupResourceQuery

Adds a LEFT JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\GroupResourceQuery

#

Inherited from
  \Thelia\Model\Base\GroupResourceQuery

## Tags

None found

### rightJoin()

    rightJoin(mixed $relation) : \Thelia\Model\GroupResourceQuery

Adds a RIGHT JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\GroupResourceQuery

#

Inherited from
  \Thelia\Model\Base\GroupResourceQuery

## Tags

None found

### innerJoin()

    innerJoin(mixed $relation) : \Thelia\Model\GroupResourceQuery

Adds a INNER JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\GroupResourceQuery

#

Inherited from
  \Thelia\Model\Base\GroupResourceQuery

## Tags

None found

### leftJoinGroup()

    leftJoinGroup($relationAlias =) : \Thelia\Model\GroupResourceQuery

Adds a LEFT JOIN clause to the query using the Group relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\GroupResourceQuery

#

Inherited from
  \Thelia\Model\Base\GroupResourceQuery

## Tags

None found

### rightJoinGroup()

    rightJoinGroup($relationAlias =) : \Thelia\Model\GroupResourceQuery

Adds a RIGHT JOIN clause to the query using the Group relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\GroupResourceQuery

#

Inherited from
  \Thelia\Model\Base\GroupResourceQuery

## Tags

None found

### innerJoinGroup()

    innerJoinGroup($relationAlias =) : \Thelia\Model\GroupResourceQuery

Adds a INNER JOIN clause to the query using the Group relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\GroupResourceQuery

#

Inherited from
  \Thelia\Model\Base\GroupResourceQuery

## Tags

None found

### leftJoinResource()

    leftJoinResource($relationAlias =) : \Thelia\Model\GroupResourceQuery

Adds a LEFT JOIN clause to the query using the Resource relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\GroupResourceQuery

#

Inherited from
  \Thelia\Model\Base\GroupResourceQuery

## Tags

None found

### rightJoinResource()

    rightJoinResource($relationAlias =) : \Thelia\Model\GroupResourceQuery

Adds a RIGHT JOIN clause to the query using the Resource relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\GroupResourceQuery

#

Inherited from
  \Thelia\Model\Base\GroupResourceQuery

## Tags

None found

### innerJoinResource()

    innerJoinResource($relationAlias =) : \Thelia\Model\GroupResourceQuery

Adds a INNER JOIN clause to the query using the Resource relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\GroupResourceQuery

#

Inherited from
  \Thelia\Model\Base\GroupResourceQuery

## Tags

None found

### findOne()

    findOne(ConnectionInterface $con) : \Thelia\Model\GroupResource

Return the first ChildGroupResource matching the query

#### Parameters

ConnectionInterface | $con |

#### Returns

\Thelia\Model\GroupResource

#

Inherited from
  \Thelia\Model\Base\GroupResourceQuery

## Tags

None found

### findOneOrCreate()

    findOneOrCreate(ConnectionInterface $con) : \Thelia\Model\GroupResource

Return the first ChildGroupResource matching the query, or a new ChildGroupResource object populated from the query conditions when no match is found

#### Parameters

ConnectionInterface | $con |

#### Returns

\Thelia\Model\GroupResource

#

Inherited from
  \Thelia\Model\Base\GroupResourceQuery

## Tags

None found

### findOneById()

    findOneById(int $id) : \Thelia\Model\GroupResource

Return the first ChildGroupResource filtered by the id column

#### Parameters

int | $id |

#### Returns

\Thelia\Model\GroupResource

#

Inherited from
  \Thelia\Model\Base\GroupResourceQuery

## Tags

None found

### findOneByGroupId()

    findOneByGroupId(int $group_id) : \Thelia\Model\GroupResource

Return the first ChildGroupResource filtered by the group_id column

#### Parameters

int | $group_id |

#### Returns

\Thelia\Model\GroupResource

#

Inherited from
  \Thelia\Model\Base\GroupResourceQuery

## Tags

None found

### findOneByResourceId()

    findOneByResourceId(int $resource_id) : \Thelia\Model\GroupResource

Return the first ChildGroupResource filtered by the resource_id column

#### Parameters

int | $resource_id |

#### Returns

\Thelia\Model\GroupResource

#

Inherited from
  \Thelia\Model\Base\GroupResourceQuery

## Tags

None found

### findOneByRead()

    findOneByRead(int $read) : \Thelia\Model\GroupResource

Return the first ChildGroupResource filtered by the read column

#### Parameters

int | $read |

#### Returns

\Thelia\Model\GroupResource

#

Inherited from
  \Thelia\Model\Base\GroupResourceQuery

## Tags

None found

### findOneByWrite()

    findOneByWrite(int $write) : \Thelia\Model\GroupResource

Return the first ChildGroupResource filtered by the write column

#### Parameters

int | $write |

#### Returns

\Thelia\Model\GroupResource

#

Inherited from
  \Thelia\Model\Base\GroupResourceQuery

## Tags

None found

### findOneByCreatedAt()

    findOneByCreatedAt(string $created_at) : \Thelia\Model\GroupResource

Return the first ChildGroupResource filtered by the created_at column

#### Parameters

string | $created_at |

#### Returns

\Thelia\Model\GroupResource

#

Inherited from
  \Thelia\Model\Base\GroupResourceQuery

## Tags

None found

### findOneByUpdatedAt()

    findOneByUpdatedAt(string $updated_at) : \Thelia\Model\GroupResource

Return the first ChildGroupResource filtered by the updated_at column

#### Parameters

string | $updated_at |

#### Returns

\Thelia\Model\GroupResource

#

Inherited from
  \Thelia\Model\Base\GroupResourceQuery

## Tags

None found

### findById()

    findById(int $id) : array

Return ChildGroupResource objects filtered by the id column

#### Parameters

int | $id |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\GroupResourceQuery

## Tags

None found

### findByGroupId()

    findByGroupId(int $group_id) : array

Return ChildGroupResource objects filtered by the group_id column

#### Parameters

int | $group_id |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\GroupResourceQuery

## Tags

None found

### findByResourceId()

    findByResourceId(int $resource_id) : array

Return ChildGroupResource objects filtered by the resource_id column

#### Parameters

int | $resource_id |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\GroupResourceQuery

## Tags

None found

### findByRead()

    findByRead(int $read) : array

Return ChildGroupResource objects filtered by the read column

#### Parameters

int | $read |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\GroupResourceQuery

## Tags

None found

### findByWrite()

    findByWrite(int $write) : array

Return ChildGroupResource objects filtered by the write column

#### Parameters

int | $write |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\GroupResourceQuery

## Tags

None found

### findByCreatedAt()

    findByCreatedAt(string $created_at) : array

Return ChildGroupResource objects filtered by the created_at column

#### Parameters

string | $created_at |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\GroupResourceQuery

## Tags

None found

### findByUpdatedAt()

    findByUpdatedAt(string $updated_at) : array

Return ChildGroupResource objects filtered by the updated_at column

#### Parameters

string | $updated_at |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\GroupResourceQuery

## Tags

None found

### findPkSimple()

    findPkSimple(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\GroupResource

Find object by primary key using raw SQL to go fast.

Bypass doSelect() and the object formatter by using generated code.

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | A connection object

#### Returns

\Thelia\Model\GroupResource —

A model object, or null if the key is not found

#

Inherited from
  \Thelia\Model\Base\GroupResourceQuery

## Tags

None found

### findPkComplex()

    findPkComplex(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\GroupResource|array|mixed

Find object by primary key.

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | A connection object

#### Returns

\Thelia\Model\GroupResource|array|mixed —

the result, formatted by the current formatter

#

Inherited from
  \Thelia\Model\Base\GroupResourceQuery

## Tags

None found

### GroupResourceQuery.php